<!-- @(#)sample.jsp	1.14 98/01/14 -->

<!--
    THIS IS A SAMPLE JSP SOURCE FILE

    If you are seeing this file, this web server has
    probably been misconfigured.
-->

<script runat="server">

    // This produces an "inner" class; it's just a declaration that lives
    // "inside" the servlet generated from this JHTML file.  Inside a
    // "java type=class" declaration you can have arbitrary declarations,
    // including class and instance specific servlet variables.
    //
    class IntCounter {
      int count = 0;
      public int getCount () { return count; }
      public synchronized void increment () { count++; }
    }
</script>

<%
	// This must be called before any output is sent to ensure
	// the session headers will be properly returned.
	HttpSession s = request.getSession(true);
%>

<html>
<head><title>Hello</title></head>
<body>
<h1>Hello</h1>

This web page demonstrates the integration of server
side scripting, mixing Java and HTML code together, with
user session tracking support.  The page has been compiled
into a servlet.  Java code embedded in the HTML accesses
per-session state.

<P> Here's a simple link back to <a href="sample.jsp">here</a>.
Use this link, instead of the "reload" button, to ensure that
session tracking works correctly even without using cookies.
(By default, such "URL rewriting" support is disabled.)

<%

    //
    // This Java code is embedded directly into the service method
    // of the servlet which is produced from this JHTML file.  The
    // "java" construct is equivalent to "java type=code".
    //
    // Other code in the service method writes out the HTML
    // code found before (and after) such embedded Java code.
    //


    IntCounter c = null;
    int count = 0;
    synchronized (s) {
      Object o = s.getValue ("visitCount");
      if (o == null || !(o instanceof IntCounter)) {
	c = new IntCounter ();
	    s.putValue ("visitCount", c);
      }
      else {
	c = (IntCounter) o;
      }
    }
    count = c.getCount ();
    c.increment ();

%>

<p>You have visited this page <%=count%> times in your current session.

</body>
</html>
